Skip to main content
DELETE
/
app
/
v1
/
organizations
/
{organizationId}
/
projects
/
{projectId}
/
tags
/
{tagId}
Delete Tag
curl --request DELETE \
  --url https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/tags/{tagId}

Path Parameters

organizationId
string
required
Organization ID
projectId
string
required
Project ID
tagId
string
required
Tag ID

Response

{
  "message": "Tag successfully deleted",
  "id": "tag123"
}
A tag cannot be deleted if it is currently in use by any resources (components, content, assets). Remove the tag from all resources before deleting.

Error Responses

Tag Not Found

{
  "error": {
    "code": "NOT_FOUND",
    "message": "Tag not found"
  }
}

Tag In Use

{
  "error": {
    "code": "TAG_IN_USE",
    "message": "Cannot delete tag that is in use by resources"
  }
}

Code Examples

curl -X DELETE "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/tags/tag123" \
  -H "Authorization: Bearer YOUR_JWT"